com.holonplatform.jpa.spring.boot

## Annotation Type JpaEntityScan

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
       @Documented
       @Repeatable(value=JpaEntityScans.class)
       @Import(value=com.holonplatform.jpa.spring.boot.internal.JpaEntityScanPackages.Registrar.class)
      public @interface JpaEntityScan

  Configures the base packages used by auto-configuration when scanning for JPA entity classes, when `EntityManagerFactory` auto-configuration is enabled.

  One of `basePackageClasses()` or `basePackages()` may be specified to define specific packages to scan. If specific packages are not defined scanning will occur from the package of the class with this annotation.

  A data context id can be specified through the `value()` attribute to declare the data context id to which this entity scan configuration is bound.

  This is a repeatable annotation.

  Since:
    5.0.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` The data context id to which this entity scan configuration is bound

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Class<?>[]` | `basePackageClasses` Type-safe alternative to `basePackages()` for specifying the packages to scan for entities.
    `String[]` | `basePackages` Base packages to scan for entities.

- - ### Element Detail

    - #### value

          public abstract String value

      The data context id to which this entity scan configuration is bound
      Returns:
        Data context id

  - - #### basePackages

          public abstract String[] basePackages

      Base packages to scan for entities.

      Use `basePackageClasses()` for a type-safe alternative to String-based package names.

      Returns:
        the base packages to scan
      Default:
        {}

  - - #### basePackageClasses

          public abstract Class<?>[] basePackageClasses

      Type-safe alternative to `basePackages()` for specifying the packages to scan for entities. The package of each class specified will be scanned.

      Consider creating a special no-op marker class or interface in each package that serves no purpose other than being referenced by this attribute.

      Returns:
        classes from the base packages to scan
      Default:
        {}

Copyright © 2019 The Holon Platform. All rights reserved.